curl --request GET \
--url https://int-data.moneydesktop.com/budgets \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/budgets"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"budgets": [
{
"amount": 153,
"category_guid": "CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a",
"created_at": "2018-10-18T19:51:26.000Z",
"guid": "BGT-6ca0e3ef-c65e-4655-8b5a-275a3c19c21d",
"is_exceeded": true,
"is_off_track": true,
"metadata": "some metadata",
"name": "Food & Dining",
"off_track_percentage": 123,
"parent_guid": "<string>",
"percent_spent": 1276.34,
"projected_spending": 3562.4,
"revision": 561,
"transaction_total": 1952.8,
"updated_at": "2022-06-14T21:17:11+00:00\"",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
]
}List all budgets
List all budgets
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \ -H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \ -H 'Content-Type: application/vnd.mx.nexus.v1+json' \ -H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Response
OK
Hide child attributes
Hide child attributes
A goal amount set by the user for a category's transaction total during a month.
153
Unique identifier for the budget category. Defined by MX.
"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a"
Date and time the budget was created, represented in ISO 8601 format with timestamp.
"2018-10-18T19:51:26.000Z"
Unique identifier for the budget. Defined by MX.
"BGT-6ca0e3ef-c65e-4655-8b5a-275a3c19c21d"
If the budget has been exceeded, this field will be true. Otherwise, this field will be false.
true
If the budget is off track, this field will be true. Otherwise, this field will be false.
true
Additional information a partner can store on the budget.
"some metadata"
The name of the budget that is visible to the user (ie "Food", "Bills", "Entertainment", etc).
"Food & Dining"
The percentage amount of off track spending. (Deprecated).
Unique identifier for the parent budget. Defined by MX.
The percentage of a budget that has been spent during the current calendar month Calculated as the transaction total divided by the amount and then multiplied by 100.A value of zero will be returned when amount is zero.
1276.34
The projected amount of spending for the budget.
3562.4
The revision number of this budget record.
561
The cumulative amount of all transactions under the budget.
1952.8
Date and time the budget was updated, represented in ISO 8601 format with timestamp.
"2022-06-14T21:17:11+00:00\""
Unique identifier for the user. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"

